summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-bindir
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2024-02-10 22:46:34 +0000
committerKarl Berry <karl@freefriends.org>2024-02-10 22:46:34 +0000
commit115a91adaf2fe8c2e6c7adb482740c759a04c10b (patch)
treea4b18ac3f94e82c4e255a61e680a9cc408a835e6 /Master/tlpkg/bin/tl-update-bindir
parent3397241eaee5ead7fd1f71e620bbe3e603241b56 (diff)
2024 pretest start
git-svn-id: svn://tug.org/texlive/trunk@69783 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-bindir')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir175
1 files changed, 88 insertions, 87 deletions
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index b79db37ba56..d03aadf9ed9 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -87,6 +87,45 @@ if test ! -d "$Master/bin"; then
exit 1
fi
+cgurl=https://build.contextgarden.net/dl/texlive/ # base url
+#
+# function to return url for the "latest" build on gh;
+# first argument is TL platform name,
+# second (optional) argument is github platform name, if different.
+#
+github_url ()
+{
+ if test -z "$1"; then
+ echo "$0:github_url: expected platform name, goodbye." >&2
+ exit 1
+ fi
+ tlplat=$1
+ ghplat=${2-$tlplat}
+ gh_url=https://api.github.com/repos/TeX-Live/texlive-source/releases/latest
+ remurl=`curl -s $gh_url \
+ | tee /tmp/gh-rel-$tlplat \
+ | grep browser_download_url \
+ | grep texlive-bin-$ghplat.tar.gz \
+ | cut -d : -f 2,3 \
+ | tr -d \"`
+ # get from tag?
+ #remurl=https://github.com/TeX-Live/texlive-source/releases/download/svn53987/texlive-bin-x86_64-linux.tar.gz
+ echo "github_url: for $tlplat, got $remurl" >&2
+ echo "$remurl"
+}
+
+# function to download a url passed as arg, or exit.
+#
+do_download ()
+{
+ if test -z "$1"; then
+ echo "$0:do_download: no url given, goodbye." >&2
+ exit 1
+ fi
+ $grab "$1" || exit $?
+}
+
+#
# loop through tl platform names
for tlplat in $tlplats; do
destdir=$Master/bin/$tlplat
@@ -97,139 +136,96 @@ for tlplat in $tlplats; do
fi
# karl update convenience
- default_bin_loc=
download_loc=$tmpdir/tl.$tlplat.tar.gz
+ default_bin_loc=$download_loc
grab="$download -O $download_loc"
+ #
if test x"$USER" = xkarl; then
case $tlplat in
aarch64-linux)
- default_bin_loc=$download_loc
- #https://faubox.rrze.uni-erlangen.de/open/MjdwNXE5NW5UcTU4RzVIWlRVUVVI/branch2018/texlive_bin_aarch64-linux.tar.xz
- #http://51.158.66.174:8080/texlive_bin_aarch64-linux.tar.xz
- #remurl=https://aekahwai.spdns.org/online/texlive_bin_aarch64-linux.tar.xz
- #remurl=https://taiyahfoboj.net/yeipaiyi/texlive_bin_aarch64-linux.tar.xz
- remurl=http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz
- $grab $remurl;;
- alpha-linux)
- default_bin_loc=/home/preining/alpha-linux.tar.gz;;
+ do_download ${cgurl}/${cgbranch}$tlplat.tar.xz;;
+
amd64-freebsd)
- default_bin_loc=$download_loc
- #https://www.preining.info/amd64-freebsd11.tar.gz
- #http://anthesphoria.net/FreeBSD/TeXLive-Devel/amd64-freebsd7.tar.xz
- remurl=http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz
- $grab $remurl;;
- amd64-kfreebsd)
- download_loc=$tmpdir/tl.$tlplat.tar.xz
- default_bin_loc=$download_loc
- grab="$download -O $download_loc"
- $grab ftp://ftp.cea.fr/incoming/y2k01/braslau/x86_64-unknown-kfreebsd9.0-gnu.tar.xz;;
+ do_download `github_url $tlplat`;;
+
amd64-netbsd)
download_loc=$tmpdir/tl.$tlplat.tar.xz
default_bin_loc=$download_loc
- grab="$download -O $download_loc"
- $grab http://www.babafou.eu.org/texlive-netbsd/x86_64-netbsd.tar.xz;;
- armel-linux)
- default_bin_loc=$download_loc
- $grab http://boris.lk.net/texlive-2013/armv7l-unknown-linux-gnueabi.tgz;;
+ do_download http://www.babafou.eu.org/texlive-netbsd/x86_64-netbsd.tar.xz;;
+
armhf-linux)
- default_bin_loc=$download_loc
remurl=http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz
- $grab $remurl;;
+ do_download $remurl;;
#simon $grab http://getthingsfixed.co.uk/texlive/builds/2022/texlive-armhf.tar.gz
- hppa-hpux)
- default_bin_loc=$download_loc
- $grab http://www.jtartlabs.com/test/hppa2.0-hp-hpux10.20.tar.gz;;
+
i386-cygwin)
- default_bin_loc=$download_loc
- $grab http://sanibeltranquility.com/cygwin/$tlplat.tgz;;
+ do_download http://sanibeltranquility.com/cygwin/$tlplat.tgz;;
+
i386-freebsd)
- download_loc=$tmpdir/tl.$tlplat.tar.xz
- default_bin_loc=$download_loc
- grab="$download -O $download_loc"
- #http://anthesphoria.net/FreeBSD/TeXLive-Devel/i386-freebsd7.tar.xz
- remurl=http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz
- $grab $remurl;;
- i386-kfreebsd)
- download_loc=$tmpdir/tl.$tlplat.tar.xz
- default_bin_loc=$download_loc
- grab="$download -O $download_loc"
- $grab ftp://ftp.cea.fr/incoming/y2k01/braslau/i386-unknown-kfreebsd10.0-gnu.tar.xz;;
+ do_download `github_url $tlplat`;;
+
i386-linux)
- default_bin_loc=$download_loc
- #remurl=http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz
- remurl=`curl -s https://api.github.com/repos/TeX-Live/texlive-source/releases/latest | grep browser_download_url | grep texlive-bin-i386-linux.tar.gz | cut -d : -f 2,3 | tr -d \"`
- $grab $remurl;;
- i386-linuxmusl)
- default_bin_loc=$download_loc
- remurl=`curl -s https://api.github.com/repos/TeX-Live/texlive-source/releases/latest | grep browser_download_url | grep texlive-bin-i386-musl.tar.gz | cut -d : -f 2,3 | tr -d \"`
- $grab $remurl;;
+ do_download `github_url $tlplat`;;
+
i386-netbsd)
download_loc=$tmpdir/tl.$tlplat.tar.xz
default_bin_loc=$download_loc
grab="$download -O $download_loc"
$grab http://www.babafou.eu.org/texlive-netbsd/i386-netbsd.tar.xz;;
+
i386-openbsd)
default_bin_loc=$download_loc
$grab http://students.dec.bmth.ac.uk/ebarrett/files/tl-bin-20080810.tgz;;
+
i386-solaris)
- default_bin_loc=$download_loc
- $grab http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz;;
- mips-irix)
- download_loc=$tmpdir/tl.$tlplat.tar.xz
- default_bin_loc=$download_loc
- grab="$download -O $download_loc"
- $grab http://www.solid.ethz.ch/download/texlive/texlive-mips-irix.tar.xz;;
- mipsel-linux)
- echo "see mojca" >&2; exit 1;;
- powerpc-linux)
- default_bin_loc=/home/tschmitz/powerpc-linux.tar.xz;;
+ do_download `github_url $tlplat`;;
+
sparc-solaris)
- default_bin_loc=$download_loc
- $grab http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz;;
+ do_download http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz;;
+
universal-darwin)
- default_bin_loc=/home/koch/$tlplat.tar.xz
- ;;
+ default_bin_loc=/home/koch/$tlplat.tar.xz;;
+
windows)
;; # updated by Akira.
+
x86_64-cygwin)
- default_bin_loc=$download_loc
$grab http://sanibeltranquility.com/cygwin/$tlplat.tgz;;
+
x86_64-darwinlegacy)
- default_bin_loc=$download_loc
- $grab http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz;;
+ do_download ${cgurl}/${cgbranch}$tlplat.tar.xz;;
+
x86_64-linux)
- default_bin_loc=$download_loc
- #remurl=http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz
# Visit https://github.com/TeX-Live/texlive-source/commits
# to check for commits.
# Then https://github.com/TeX-Live/texlive-source/releases
- # "Draft a new release";
- # use "svnNNNNN" in "Tag version" field,
+ # "Draft a new release".
+ # "Choose a tag -> "find or create a new tag" -> "svnNNNNN"
# "Target:trunk" should already be there,
# "rNNNNN and perhaps brief msg from commits in "title",
# and anything relevant for "description", or leave it blank;
# then "Publish release" (not as pre-release, can't be accessed).
- # After ~30min max, should have new release tarballs at:
+ #
+ # Can check status at:
+ # https://github.com/TeX-Live/texlive-source/actions
+ #
+ # After ~40min, should have new release tarballs at:
# https://github.com/TeX-Live/texlive-source/releases
- # (this is a different page than where you're put after creating
- # the release)
- # If failure, check:
- # https://www.travis-ci.org/TeX-Live/texlive-source
+ # (this is a different page than where you're put after creating
+ # the release)
+ # Some arches will be done sooner than others (arm and aarch are slow),
+ # but can't download anything until all are done.
#
# If try before ready, no harm, just get error message "missing url".
# (If you have/want a git checkout of texlive-source, see tlbuild doc.)
#
- remurl=`curl -s https://api.github.com/repos/TeX-Live/texlive-source/releases/latest | grep browser_download_url | grep texlive-bin-x86_64-linux.tar.gz | cut -d : -f 2,3 | tr -d \"`
- #remurl=https://github.com/TeX-Live/texlive-source/releases/download/svn53987/texlive-bin-x86_64-linux.tar.gz
- $grab $remurl;;
+ do_download `github_url $tlplat`;;
+
x86_64-linuxmusl)
- default_bin_loc=$download_loc
- remurl=`curl -s https://api.github.com/repos/TeX-Live/texlive-source/releases/latest | grep browser_download_url | grep texlive-bin-x86_64-linuxmusl.tar.gz | cut -d : -f 2,3 | tr -d \"`
- #remurl=http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz
- $grab $remurl;;
+ do_download `github_url $tlplat`;;
+
x86_64-solaris)
- default_bin_loc=$download_loc
- $grab http://dl.contextgarden.net/build/texlive/${cgbranch}$tlplat.tar.xz;;
+ do_download `github_url $tlplat amd64-solaris`;;
esac
fi # end $USER=karl
@@ -267,6 +263,11 @@ for tlplat in $tlplats; do
# ditto, biber.
find "$srcdir" -name biber\* | xargs rm -f
+
+ # temp cleanup for first pretest24
+ find "$srcdir" -name htcontext\* | xargs rm -f
+ find "$srcdir" -name memoize-clean | xargs rm -f
+ find "$srcdir" -name memoize-extract | xargs rm -f
# may need to cd into a subdirectory, depending on how the tar was made.
while test `ls $srcdir | wc -l` -eq 1; do